package com.ebei.screen.common.config.auth;

import com.ebei.screen.common.exception.MyException;

public class LoginUtils {

    public static final ThreadLocal<AuthUser> CURRENT_USER = new ThreadLocal<>();

    /**
     * 获取登录用户ID
     *
     * @return
     */
    public static Long getUserId() {
        return getUser().getUserId();
    }

    /**
     * 获取登录用户名称
     */
    public static String getUserName() {
        return getUser().getUserName();
    }


    /**
     * 判断是否登录
     *
     * @return
     */
    public static boolean isLogin() {
        return CURRENT_USER.get() != null;
    }

    /**
     * 获取登录用户
     *
     * @return
     */
    public static AuthUser getUser() {
        AuthUser user = CURRENT_USER.get();
        if (user != null) {
            return user;
        } else {
            throw new MyException("请重新登录");
        }
    }
}
