package com.ebei.screen.common.constants;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @ClassName : BusinessErrorCode
 * @Description : 业务通用异常枚举类
 * @Author : hbw
 * @Date : 2020-11-12 13:10
 * @Version : V1.0
 */
@Getter
@AllArgsConstructor
public enum BusinessErrorCode {

    /**
     * 通用业务异常
     */
    BUSINESS_ERROR("800", "业务异常"),
    BAD_REQUEST_ERROR("400", "参数解析失败"),
    PARENT_ID_IS_EMPTY("401", "上级id不能为空"),
    SYSTEM_BUSY("-1", "系统繁忙~请稍后再试~"),
    PARAM_EX("-3", "参数类型解析异常"),
    SQL_EX("-4", "运行SQL出现异常"),
    NULL_POINT_EX("-5", "空指针异常"),
    ILLEGALA_ARGUMENT_EX("-6", "无效参数异常"),
    MEDIA_TYPE_EX("-7", "请求类型异常"),
    BASE_VALID_PARAM("-9", "统一验证参数异常"),
    REQUIRED_FILE_PARAM_EX("1001", "请求中必须至少包含一个有效文件"),
    METHOD_NOT_ALLOWED("405", "不支持当前请求类型"),
    DICT_NAME_ALREADY("501", "服务字典名称不能重复"),
    SERVICE_DICT_CHILD("502", "服务字典有下级记录，请先删除下级记录"),
    SERVICE_DICT_NAME_ALREADY("503", "服务字典名称或服务名称不能重复"),
    MEETING_ACTIVITY_NAME("504", "会议活动名称不能重复"),
    MEETING_ACTIVITY_NO_EXIST("505", "会议活动不存在，无法删除"),
    SERVICE_DICT_NO_EXIST("506", "增值服务字典不存在，无法删除"),
    MEETING_CODE_IS_EMPTY("507", "会议室编号不能为空"),
    MEETING_CODE_NO_EXIST("508", "会议室编号不存在，无法导入，请输入正确的会议室编号"),
    START_TIME_IS_EMPTY("509", "活动开始时间不能为空"),
    END_TIME_IS_EMPTY("510", "活动结束时间不能为空"),
    APPLY_COMPANY_IS_EMPTY("511", "申请单位不能为空"),
    ACTIVITY_TYPE_IS_EMPTY("512", "活动类型不能为空"),
    ACTIVITY_NAME_IS_EMPTY("513", "活动名称不能为空"),
    ACTIVITY_NUMBER_IS_EMPTY("514", "活动人数不能为空"),
    ACTIVITY_SERVICE_IS_EMPTY("515", "服务不能为空");

    private String code;
    private String message;
}
