package com.ebei.screen.common.constants;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Arrays;
import java.util.List;
import java.util.stream.Collectors;

/**
 * 车场异常信息
 *
 * @author Levi
 */

@Getter
@AllArgsConstructor
public enum ParkExceptionType {
    A("车牌无法识别", "noCard"),
    B("支付时间过久", "payLong"),
    C("月卡过期", "cardExpired"),
    D("车辆撞杆/磕碰", "carCrash");

    private String name;
    private String code;

    public static List<String> codeList() {
        return Arrays.stream(ParkExceptionType.values()).map(ParkExceptionType::getCode).collect(Collectors.toList());
    }

    public static ParkExceptionType getTypeByCode(String code) {
        for (ParkExceptionType type : ParkExceptionType.values()) {
            if (type.getCode().equals(code)) {
                return type;
            }
        }
        return null;
    }

}
