package com.ebei.screen.common.constants;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 车场支付方式类型
 *
 * @author Levi
 */

@Getter
@AllArgsConstructor
public enum PayTypeCode {
    A("1", "支付宝"),
    B("2", "微信"),
    C("13", "现金"),
    D("47", "交行聚合支付"),
    E("52", "VIP停车时间"),
    F("53", "购物小票"),
    G("54", "VIP积分兑换"),
    H("57", "先行后付");

    private String code;
    private String type;

    public static String getTypeByCode(String code) {
        for (PayTypeCode value : PayTypeCode.values()) {
            if (value.getCode().equals(code)) {
                return value.getType();
            }
        }
        return null;
    }

}
