package com.ebei.screen.common.exception;

import com.ebei.screen.common.response.ResponseBean;
import com.ebei.screen.common.response.ResponseBuilder;
import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.web.servlet.error.ErrorController;
import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseStatus;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletResponse;

/**
 * 请求错误全局处理
 *
 * @author Levi
 */
@Slf4j
@RestController
public class HttpErrorController implements ErrorController {

    private final static String ERROR_PATH = "/error";

    @Override
    public String getErrorPath() {
        return ERROR_PATH;
    }

    @RequestMapping(path = ERROR_PATH)
    @ResponseStatus(HttpStatus.OK)
    public ResponseBean<?> error(HttpServletResponse response) {
        log.info("访问/error" + "  错误代码：" + response.getStatus());
        switch (response.getStatus()) {
            case 400:
                return ResponseBuilder.fail("请校验请求参数");
            case 404:
                return ResponseBuilder.fail("路径不存在 请检查路径是否正确");
            default:
                return ResponseBuilder.fail("其他异常 请联系管理员");
        }
    }
}
