package com.ebei.screen.common.response;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * 统一分页参数
 *
 * @author Levi
 */
@Data
public class BasePageBean implements Serializable {

    private static final long serialVersionUID = -3183190410981165014L;

    @ApiModelProperty(value = "当前页码", example = "1")
    @NotNull(message = "当前页码不能为空")
    private Integer pageNum;

    @ApiModelProperty(value = "每页大小", example = "10")
    @NotNull(message = "每页大小不能为空")
    private Integer pageSize;

}
