package com.ebei.screen.controller.energy;

import com.ebei.screen.common.response.ResponseBean;
import com.ebei.screen.common.response.ResponseBuilder;
import com.ebei.screen.common.util.EnergyUtils;
import com.ebei.screen.service.EnergyPlatformService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;
import java.util.Map;

/**
 * @author Liu.x
 * @description 能耗平台大屏
 */
@Api(tags = "能耗平台大屏")
@RestController
@RequestMapping("energy/platform")
public class EnergyPlatformController {

    @Autowired
    private EnergyPlatformService energyPlatformService;

    @ApiOperation("获取盒子列表")
    @PostMapping("/getBoxList")
    public ResponseBean getBoxList() {
        return ResponseBuilder.ok(EnergyUtils.boxIds);
    }

    @ApiOperation("获取能耗大屏除预警外全部数据")
    @PostMapping("/getAllInOne/{boxId}")
    public ResponseBean getAllInOne(@PathVariable String boxId) {
        return energyPlatformService.getAllInOne(boxId);
    }


    @ApiOperation("获取能耗大屏数据监控推送")
    @PostMapping("/dataMonitoringCallback")
    public ResponseBean dataMonitoringCallback(@RequestBody List<Map> params) {
        return energyPlatformService.dataMonitoringCallback(params);
    }

    @ApiOperation("获取能耗大屏报警记录推送")
    @PostMapping("/alarmRecordCallback")
    public ResponseBean alarmRecordCallback(@RequestBody List<Map> params) {
        return energyPlatformService.alarmRecordCallback(params);
    }

    @ApiOperation("获取能耗大屏设备状态推送")
    @PostMapping("/deviceStateCallback")
    public ResponseBean deviceStateCallback(@RequestBody List<Map> params) {
        return energyPlatformService.deviceStateCallback(params);
    }
}
