package com.ebei.screen.modules.po;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import lombok.experimental.Accessors;
import org.springframework.data.mongodb.core.mapping.Document;

/**
 * @version v1.0
 * @ProjectName: screen
 * @ClassName: MachineRoom
 * @Description:
 * @Author: ch
 * @Date: 2021-01-19 13:57
 */
@Data
@Document(collection = "CameraDevice")
@NoArgsConstructor
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@ApiModel(value = "CameraDevice", description = "监控设备")
@AllArgsConstructor
public class CameraDevice extends BaseEntity {

    @ApiModelProperty("设备名")
    private String deviceName;
    @ApiModelProperty("设备序列号(萤石设备唯一标识)")
    private String deviceSerial;
    @ApiModelProperty("设备类型")
    private String deviceType;
    @ApiModelProperty("设备状态(1在线0离线)")
    private Integer status;
    @ApiModelProperty("直播地址")
    private String url;
    @ApiModelProperty("机房名")
    private String machineRoomName;

}
