package com.ebei.screen.modules.po;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import lombok.experimental.Accessors;
import org.springframework.data.mongodb.core.mapping.Document;

import java.util.List;

/**
 * @version v1.0
 * @ProjectName: screen
 * @ClassName: MachineRoom
 * @Description:
 * @Author: ch
 * @Date: 2021-01-19 13:57
 */
@Data
@Document
@NoArgsConstructor
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@ApiModel(value = "MachineRoom", description = "机房")
@AllArgsConstructor
public class MachineRoom extends BaseEntity {

    @ApiModelProperty("机房名")
    private String name;
    @ApiModelProperty("监控设备验证码")
    private String verCode;
    @ApiModelProperty("项目id")
    private String projectId;
    @ApiModelProperty("项目名")
    private String projectName;
    @ApiModelProperty("类型1-萤石 0-其他")
    private Integer type;
    @ApiModelProperty("关联的监控设备")
    List<CameraDevice> cameraDeviceList;

}
