package com.ebei.screen.modules.req;

import com.ebei.screen.common.response.BasePageBean;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.stereotype.Component;

import java.io.Serializable;

/**
 * 车场流量分析
 *
 * @author Levi.u
 * @date 2021/3/23 16:12
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Component
public class FlowAnalysisReq extends BasePageBean implements Serializable {

    private static final long serialVersionUID = 5021199328798625097L;

    @ApiModelProperty(value = "停车场编号 查询全部传空")
    private String parkCode;

    @ApiModelProperty(value = "1入场 2出场 3异常")
    private Integer type;

    @ApiModelProperty(value = "时间段 0, 3, 6, 9, 12, 15, 18, 21, 23")
    private Integer timeIndex;

    @ApiModelProperty(value = "当前日期 yyyy-MM-dd")
    private String date;
}
