package com.ebei.screen.service;

import com.ebei.screen.common.response.ResponseBean;
import com.ebei.screen.modules.po.Project;

import java.util.List;

/**
 * @version v1.0
 * @ProjectName: screen
 * @ClassName: ProjectService
 * @Description: 项目接口
 * @Author: ch
 * @Date: 2021-01-19 14:29
 */
public interface ProjectService {

    /*
     * 批量保存项目
     */
    public void saveProjectBatch(List<Project> list);

    /**
     * 保存项目
     *
     * @param project
     */
    public void saveProject(Project project);

    /**
     * 修改项目
     *
     * @param project
     * @return
     */
    ResponseBean updateProject(Project project);

    /**
     * 分页、条件查询项目
     *
     * @param page
     * @param pageSize
     * @param name
     * @return
     */
    ResponseBean queryProjectPage(Integer page, Integer pageSize, String name);

}
